How do i manually update my vita to 3.51 firmware

Discussion in 'PS Vita - Hacking & Homebrew' started by CORRUPT27, Sep 27, 2015.

  1. CORRUPT27
    OP

    CORRUPT27 Newbie

    Newcomer
    7
    0
    Jan 11, 2010
    United States
    Hey guys. I have been waiting for this day and would love to install the rejuvinate hack but i am still on 1.06. I have looked through the internet to no avail.

    Can someone point me in the correct direction?

    Thank you
     
  2. reprep

    reprep GBAtemp Advanced Fan

    Member
    934
    300
    Jul 5, 2012
    I would advice updating to 3.18 or 3.3x. Qcma can do what you want, visit wololo forums for more info.
     
  3. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,396
    2,711
    Oct 26, 2014
    Tonga
    i agree firmware 3.18 is golden.
     
    reprep likes this.
  4. CORRUPT27
    OP

    CORRUPT27 Newbie

    Newcomer
    7
    0
    Jan 11, 2010
    United States
    Hey Guys,

    So i was able to upgrade to 3.18. but i really dont see the benefit of this firmware. ARK needs a exploit game to run. So it seems that 3.5 is the best firmware. I dont want to upgrade without getting all the info. I have done a lot of research on wololo and different forums. But i am lost.

    Can you tell me why i should not move to a higher firmware?

    Thank you
     
  5. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,396
    2,711
    Oct 26, 2014
    Tonga
    3.18 is the best firmware, it runs TN-V (ePSP - psp firmware) and ARK, it plays psp isos's and ps1 roms.

    It runs all the old emulators through the ePSP, snes, Sega etc.

    You can use TN-X which plays ps1 roms perfect, if you play then through TN-V or ARK they have some compatability issues with sound and similar. You can also boot the package installer easily and 3.18 has a web kit exploit.

    It's a no brained really to stay on 3.18 why would you want to loose more features?
    You will need to buy an exploit psp game to use any of the hacks.

    With a ps3 you can install any game onto any firmware onto your vita to use as an exploit entry point :)
     
    Last edited by mech, Oct 9, 2015
  6. CORRUPT27
    OP

    CORRUPT27 Newbie

    Newcomer
    7
    0
    Jan 11, 2010
    United States
    Oh ok. I was looking on how to install ARK and you need UNO. Since UNO is no longer in the PSN i thought it was impossible. But now there are a lot of tutorials on how to install bubbles with no exploit game required. But they all need 3.5 firmware.
     
  7. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,396
    2,711
    Oct 26, 2014
    Tonga
    Double post.
     
    Last edited by mech, Oct 9, 2015